> ## Documentation Index
> Fetch the complete documentation index at: https://www.klavis.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List universes

> List all available universes.



## OpenAPI

````yaml get /universes
openapi: 3.1.0
info:
  title: Klavis AI (https://www.klavis.ai)
  description: Klavis AI - Open Source MCP Integrations for AI Applications
  version: 0.1.0
servers:
  - url: https://api.klavis.ai
    description: US Production server
  - url: https://api.eu.klavis.ai
    description: EU Production server
security: []
paths:
  /universes:
    get:
      tags:
        - Universe
      summary: List universes
      description: List all available universes.
      operationId: list_universes_universes_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListUniversesResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    ListUniversesResponse:
      properties:
        universes:
          items:
            $ref: '#/components/schemas/Universe'
          type: array
          title: Universes
          description: List of available universes
      type: object
      required:
        - universes
      title: ListUniversesResponse
      description: Response listing available universes
    Universe:
      properties:
        universe_id:
          type: string
          title: Universe Id
          description: Universe template ID
        name:
          type: string
          title: Name
          description: Universe name
        description:
          type: string
          title: Description
          description: Universe description
        domain:
          type: string
          title: Domain
          description: Domain (e.g., 'Software Development')
        personas:
          items:
            additionalProperties:
              type: string
            type: object
          type: array
          title: Personas
          description: Available personas
        task_nums:
          items:
            type: string
          type: array
          title: Task Nums
          description: Task numbers available in this instance
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Instance creation time
      type: object
      required:
        - universe_id
        - name
        - description
        - domain
        - personas
        - task_nums
        - created_at
      title: Universe
      description: Universe details
  securitySchemes:
    HTTPBearer:
      type: http
      description: Your Klavis AI API key.
      scheme: bearer
      x-fern-bearer:
        name: api_key

````